org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfExtraRowSet

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
    - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfExtraRowSet

-     public class RtfExtraRowSet
      extends RtfContainer

  Used to add extra table rows after a row that contains a nested table:

  - created by RtfTableRow before generating RTF code
  - an RtfTableCell that contains a nested table can ask this to put some of its children in extra rows that after the current row
  - once RtfTableRow is done rendering its children, it renders this, causing extra rows to be generated, with content that can come from several RtfTableCells

  See org.apache.fop.rtf.rtflib.testdocs.NestedTable for an example of usage.

  This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

      `attrib, parent, writer`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITableColumnsInfo` | `getParentITableColumnsInfo()`
    `boolean` | `isEmpty()` As this contains cells from several rows, we say that it's empty only if we have no cells.
    `void` | `setParentITableColumnsInfo(ITableColumnsInfo parentITableColumnsInfo)`
    `protected void` | `writeRtfContent()` render extra RtfTableRows containing all the extra RtfTableCells that we contain

    - ### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer

      `addChild, findChildren, getChildCount, getChildren, okToWriteRtf, setChildren, setOptions, toString`

    - ### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

      `close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### writeRtfContent

          protected void writeRtfContent()
                                  throws IOException

      render extra RtfTableRows containing all the extra RtfTableCells that we contain
      Overrides:
        `writeRtfContent` in class `RtfContainer`
      Throws:
        `IOException` - for I/O problems

    - #### isEmpty

          public boolean isEmpty()

      As this contains cells from several rows, we say that it's empty only if we have no cells. writeRow makes the decision about rendering specific rows
      Overrides:
        `isEmpty` in class `RtfContainer`
      Returns:
        false (always)

    - #### getParentITableColumnsInfo

          public ITableColumnsInfo getParentITableColumnsInfo()

      Returns:
        The table context of the parent table Added by Boris Poudérous on july 2002 in order to process nested tables

    - #### setParentITableColumnsInfo

          public void setParentITableColumnsInfo(ITableColumnsInfo parentITableColumnsInfo)

      Parameters:
        `parentITableColumnsInfo` - table context to set

Copyright © 2023 Apache Software Foundation. All rights reserved.